org.gnome.gtk

## Class Builder

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Builder

-     public class Builder
      extends Object

  A tool to load Glade User Interface description files and instantiate the objects therein as a GTK Widgets and Objects.

  Note that this is the replacement for the GNOME 2 "libglade" library, but you still use the `Glade` UI designer to create GtkBuilder `.ui` files.

  Since:
    4.0.20
  Author:
    Andrew Cowie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()` Creates a new Builder tree.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFromFile(String filename)` Merge the infromation from the given `.ui` file into the current Builder tree.
    `void` | `addFromString(String buffer)` Merge the infromation from the given `.ui` file into the current Builder tree.
    `Object` | `getObject(String name)` Get the Object corresponding to the given name.

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Creates a new Builder tree.
      Since:
        4.0.20

  - ### Method Detail

    - #### addFromFile

          public void addFromFile(String filename)
                           throws FileNotFoundException,
                                  ParseException

      Merge the infromation from the given `.ui` file into the current Builder tree.
      Throws:
        `ParseException` - The underlying GtkBuilder library was unable to process the User Interface description in the given file.
        `FileNotFoundException`
      Since:
        4.0.20

    - #### addFromString

          public void addFromString(String buffer)
                             throws ParseException

      Merge the infromation from the given `.ui` file into the current Builder tree.
      Throws:
        `ParseException` - The underlying GtkBuilder library was unable to process the User Interface description in the given string.
      Since:
        4.0.20

    - #### getObject

          public Object getObject(String name)

      Get the Object corresponding to the given name.
      Since:
        4.0.20